MuleConnectionFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleConnectionFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Interface MuleConnectionFactory

All Superinterfaces:
  Referenceable, Serializable

All Known Implementing Classes:
  DefaultMuleConnectionFactory

    public interface MuleConnectionFactory

extends Serializable, Referenceable

`MuleConnectionFactory` defines the connection factory interface that the RA clients will obtain a reference to.

Method Summary
`MuleConnection` | `createConnection()`
`MuleConnection` | `createConnection(MuleConnectionRequestInfo info)`
`MuleManagedConnectionFactory` | `getFactory()`
`MuleConnectionRequestInfo` | `getInfo()`
`ConnectionManager` | `getManager()`
`void` | `setFactory(MuleManagedConnectionFactory factory)`
`void` | `setInfo(MuleConnectionRequestInfo info)`
`void` | `setManager(ConnectionManager manager)`

Methods inherited from interface javax.resource.Referenceable
`setReference`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Method Detail

### createConnection

    MuleConnection createConnection()
                                    throws ResourceException

  Throws:
    `ResourceException`

### createConnection

    MuleConnection createConnection(MuleConnectionRequestInfo info)
                                    throws ResourceException

  Throws:
    `ResourceException`

### getManager

    ConnectionManager getManager()

### setManager

    void setManager(ConnectionManager manager)

### getFactory

    MuleManagedConnectionFactory getFactory()

### setFactory

    void setFactory(MuleManagedConnectionFactory factory)

### getInfo

    MuleConnectionRequestInfo getInfo()

### setInfo

    void setInfo(MuleConnectionRequestInfo info)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.